"use strict";

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

require("./simple_button.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SimpleButton = function SimpleButton(_ref) {
  var _ref$type = _ref.type,
      type = _ref$type === undefined ? "secondary" : _ref$type,
      onClick = _ref.onClick,
      children = _ref.children,
      otherProps = _objectWithoutProperties(_ref, ["type", "onClick", "children"]);

  var classNames = type === "secondary" ? "simple-button" : "simple-button primary";

  return _react2.default.createElement(
    "button",
    _extends({ className: classNames, onClick: onClick }, otherProps),
    children
  );
};

exports.default = SimpleButton;
module.exports = exports["default"];